package com.eksad.masterdata.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class APIPullNjbNscHeader {
    private String noWorkOrder;

    private String noNJB;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "dd/MM/yyyy HH:mm:ss", timezone = "Asia/Jakarta")
    private Date tanggalNJB;

    private Double totalHargaNJB;

    private String noNSC;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "dd/MM/yyyy HH:mm:ss", timezone = "Asia/Jakarta")
    private Date tanggalNSC;

    private Double totalHargaNSC;

    private String hondaIdSA;

    private String hondaIdMekanik;

    private String dealerId;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "dd/MM/yyyy HH:mm:ss", timezone = "Asia/Jakarta")
    private Date createdTime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "dd/MM/yyyy HH:mm:ss", timezone = "Asia/Jakarta")
    private Date modifiedTime;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "dd/MM/yyyy HH:mm:ss", timezone = "Asia/Jakarta")
    private Date finishFinalCheckTime;

    private String noWorkOrderOrafin;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "dd/MM/yyyy HH:mm:ss", timezone = "Asia/Jakarta")
    private Date startWOTime;

    private Double totalHargaJasa;
    private Double totalHargaSparepart;

    private String promoIdJasa;
    private String promoIdPart;
    private Double totalDP;
    private String discountCode;
}
